%define name etherdrake
%define version 0.6.2
%define release 7mdk
Name: %{name}
Version: %{version}
Release: %{release}
Summary: HardDrake Ethernet Card Configuration Module
Summary(fr): Module HardDrake pour la configuration de la carte reseaux
Source: %{name}-%{version}.tar.bz2
URL: http://www.linuxmandrake.com/harddrake
Group: System/Configuration/Hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: /usr
Copyright: GPL
Requires: gtk+ >= 1.2.3, detect >= 0.9.29
ExclusiveArch: i386 i486 i586 i686 k6 k7

%description
EtherDrake is a tool to easy configurate an ethernet card. It's a module for Lothar.

%description -l fr
EtherDrake est un outil pour configurer facilement les cartes rseaux. C'est un module Lothar.

%prep
rm -rf $RPM_BUILD_ROOT 

%setup 

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" sh ./autogen.sh \
	--prefix=%{_prefix} \
	--with-detect-prefix=%{_prefix}	

# I build on a Dual Processor system
uname -a |grep -qi SMP && make -j 3 || make


CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" sh ./autogen.sh \
    --prefix=%{_prefix} --with-textui\
    --with-detect-prefix=%{_prefix}

uname -a |grep -qi SMP && make -j 3 || make


%install
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/share/harddrake/
make install prefix=$RPM_BUILD_ROOT/%{_prefix}
install -m555 src/gui-gtk/etherdrake $RPM_BUILD_ROOT/%{_prefix}/bin/

cd $RPM_BUILD_ROOT

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x'`;do
	file $i|grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc AUTHORS BUGS ChangeLog COPYING INSTALL NEWS README
%{prefix}/bin/*
%{prefix}/share/locale/*/LC_MESSAGES/*


%changelog
* Fri Apr 21 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.6.2-7mdk
- Fix group.
- Lothar Etherconfig becomes EtherDrake.
- Some clean-up in specfile.

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.6.2-4mdk
- Lothar don't work on sparc|alpha.

* Mon Jan 03 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- Rebuilded with detect 0.9.29

* Wed Dec 31 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- locales in rpm now.

* Thu Dec 09 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Rebuilded with detect 0.9.30 

* Thu Nov 04 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.6.2

* Wed Nov 03 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Cleaned %files section  

* Thu Oct 28 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Decrease Gtk+ dependency version to 1.2.3
- Needs detect 0.9.29
- Cleaned spec file(many titi sucks ;)
- Added fr translation
- Added URL

* Wed Aug 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add i686 target for dark alex

* Tue Aug 17 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Buid for cooker
- spec cleaning
- handle optimizations
- some files were not included

* Fri Mar 26 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- First packaging.
